summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorspider-mario2017-08-17 21:36:45 +0200
committerspider-mario2017-08-17 21:36:45 +0200
commit74557a59ccdd0c8359c86e6a8a79423b452040e2 (patch)
treeaec309a631e9ed646c52622b3831de623d5cd551
parent9dcc80e552cc91ff08c92f7349e6d8a67d2deb50 (diff)
downloadaur-74557a59ccdd0c8359c86e6a8a79423b452040e2.tar.gz
Fix dependencies
-rw-r--r--.SRCINFO7
-rw-r--r--PKGBUILD5
2 files changed, 7 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 214c37969f2..c5ebea3d41a 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,19 +1,20 @@
# Generated by mksrcinfo v8
-# Thu Aug 17 18:41:48 UTC 2017
+# Thu Aug 17 19:36:41 UTC 2017
pkgbase = python-pulp
pkgdesc = A Linear Programming modeler written in Python
pkgver = 1.6.8
- pkgrel = 1
+ pkgrel = 2
url = https://github.com/coin-or/pulp
arch = any
license = BSD
makedepends = python-setuptools
makedepends = python2-setuptools
- depends = python-pyparsing
source = https://files.pythonhosted.org/packages/b5/87/71293d89377341551f2f331d259c0b7e7324b60ce37c597d0a42f0ebc18d/PuLP-1.6.8.tar.gz
sha512sums = e78b33f331144f458a585fda396b5c9d1d09e25199d29fc2de39027d6cbee74dfa3325878c77ca01164102adf22ee5bb31beea5af54500c1ad917cedb2dbf783
pkgname = python-pulp
+ depends = python-pyparsing
pkgname = python2-pulp
+ depends = python2-pyparsing
diff --git a/PKGBUILD b/PKGBUILD
index c16b374493f..aa903af8792 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,12 +5,11 @@ _pkgname=PuLP
pkgbase=python-pulp
pkgname=(python-pulp python2-pulp)
pkgver=1.6.8
-pkgrel=1
+pkgrel=2
pkgdesc="A Linear Programming modeler written in Python"
arch=("any")
license=("BSD")
url="https://github.com/coin-or/pulp"
-depends=("python-pyparsing")
makedepends=('python-setuptools' 'python2-setuptools')
source=("https://files.pythonhosted.org/packages/b5/87/71293d89377341551f2f331d259c0b7e7324b60ce37c597d0a42f0ebc18d/$_pkgname-$pkgver.tar.gz")
sha512sums=('e78b33f331144f458a585fda396b5c9d1d09e25199d29fc2de39027d6cbee74dfa3325878c77ca01164102adf22ee5bb31beea5af54500c1ad917cedb2dbf783')
@@ -42,10 +41,12 @@ _package_for_python_version() {
}
package_python-pulp() {
+ depends=('python-pyparsing')
_package_for_python_version python
}
package_python2-pulp() {
+ depends=('python2-pyparsing')
_package_for_python_version python2
# Uncomment the following line if you want to install both versions at the same time: